summaryrefslogtreecommitdiff
path: root/t/man5.sh
diff options
context:
space:
mode:
authorMathieu Lirzin <mthl@gnu.org>2017-09-20 00:08:59 +0200
committerMathieu Lirzin <mthl@gnu.org>2017-09-20 00:08:59 +0200
commit7508174f4a6c19eeda89a7e18b8d1398fe85ccf0 (patch)
tree2938ba28267cfc6d6cba0b763f80e4b32ce49b03 /t/man5.sh
parentc2757b974cb4c182333859edb45a01194550bc0e (diff)
parentced195a8556b68eab3dd0887e07a97c6ae4917bf (diff)
downloadautomake-7508174f4a6c19eeda89a7e18b8d1398fe85ccf0.tar.gz
Merge branch 'minor'
Diffstat (limited to 't/man5.sh')
-rw-r--r--t/man5.sh69
1 files changed, 69 insertions, 0 deletions
diff --git a/t/man5.sh b/t/man5.sh
new file mode 100644
index 000000000..0fb2abd8e
--- /dev/null
+++ b/t/man5.sh
@@ -0,0 +1,69 @@
+#! /bin/sh
+# Copyright (C) 2009-2017 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+# Make sure to extract the correct mansection from files in man_MANS.
+
+. test-init.sh
+
+cat >> configure.ac <<'END'
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+man_MANS = foo-1.4.5/foo.2 foo-1.4.5/bar.3 baz-1.4.2
+notrans_man_MANS = foo-1.4.5/nfoo.2 foo-1.4.5/nbar.3 nbaz-1.4.2
+END
+
+mkdir foo-1.4.5
+
+: > foo-1.4.5/foo.2
+: > foo-1.4.5/nfoo.2
+: > foo-1.4.5/bar.3
+: > foo-1.4.5/nbar.3
+: > baz-1.4.2
+: > nbaz-1.4.2
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE
+
+cwd=$(pwd) || fatal_ "getting current working directory"
+
+# Let's play with $DESTDIR too, it shouldn't hurt.
+./configure --mandir=/man
+$MAKE DESTDIR="$cwd/_inst" install
+
+test -f _inst/man/man2/foo.2
+test -f _inst/man/man2/nfoo.2
+test -f _inst/man/man2/baz-1.4.2
+test -f _inst/man/man2/nbaz-1.4.2
+test -f _inst/man/man3/bar.3
+test -f _inst/man/man3/nbar.3
+
+test ! -e _inst/man/man1
+test ! -e _inst/man/man4
+test ! -e _inst/man/man5
+
+$MAKE DESTDIR="$cwd/_inst" uninstall
+
+test ! -e _inst/man/man2/foo.2
+test ! -e _inst/man/man2/nfoo.2
+test ! -e _inst/man/man2/baz-1.4.2
+test ! -e _inst/man/man2/nbaz-1.4.2
+test ! -e _inst/man/man3/bar.3
+test ! -e _inst/man/man3/nbar.3
+
+: